PHP5DBG(1)

NAME
php5dbg - The interactive PHP debugger

SYNOPSIS
php5dbg [OPTION] [-eFILE]

DESCRIPTION
php5dbg a lightweight, powerful, easy to use debugging platform for PHP5.

OPTIONS
The following switches are implemented (just like cli SAPI):

-n  No php.ini file will be used

-cpath|file
    Look for php.ini file in the directory path or use the specified file

-zfile
    Load Zend extension file

-dfoo[=bar]
    Define INI entry foo with value bar

-v  Disables quietness

-s  Enabled stepping

-efile
    Sets execution context

-b  Disables use of colour on the console

-I  Ignore .phpdbginit (default init file)

-ipath|ile
    Override .phpgdbinit location (implies -I)

-Ofile
    Set oplog output to file

-q  Do not print banner on startup

-r  Jump straight to run

-E  Enable step through eval()

NOTES
Passing -rr will cause phpdbg to quit after execution, rather than returning to the console

AUTHOR
This manual pages was written by Ondrej Sury for Debian project.